<?php
include ("../../../inc/includes.php");

Session::checkRight("config", UPDATE);

// Check if plugin is activated
if (!Plugin::isPluginActive("soc")) {
   Html::displayNotFoundError();
}

Html::header(__('SOC Case Management Configuration', 'soc'), '', "config", "plugins");

$config = new PluginSocConfig();
if (isset($_POST["update"])) {
   Session::checkRight("config", UPDATE);
   $config->update($_POST);
   Html::back();
} else {
   $config->showConfigForm();
}

Html::footer();